Bug 166227 - host command doesn't honor -t a
host command doesn't honor -t a
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-17 22:09 EDT by Scott Schmit
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 9.3.1-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 05:38:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Schmit 2005-08-17 22:09:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
$ host -t a www.air-watch.net
www.air-watch.net is an alias for air-watch.net.
air-watch.net has address 66.95.77.17
www.air-watch.net is an alias for air-watch.net.
www.air-watch.net is an alias for air-watch.net.
air-watch.net mail is handled by 10 mail.gti-host.net.
air-watch.net mail is handled by 900 mxr01.hvn01.dsl.net.
air-watch.net mail is handled by 900 mxr01.nyc01.dsl.net.

This is a bug. I requested ONLY A records and as seen by the -v output, it does an A, AAAA, and MX record lookup (the default if no -t is specified).

Trying other -t options:
$ host -t cname www.air-watch.net
www.air-watch.net is an alias for air-watch.net.

$ host -t mx www.air-watch.net
www.air-watch.net is an alias for air-watch.net.
air-watch.net mail is handled by 900 mxr01.hvn01.dsl.net.
air-watch.net mail is handled by 900 mxr01.nyc01.dsl.net.
air-watch.net mail is handled by 10 mail.gti-host.net.

$ host -t aaaa www.air-watch.net
www.air-watch.net is an alias for air-watch.net.

work as expected. Interestingly, dig performs the query correctly, but then its default is to perform an A record lookup only anyway.

This also occurs if the name to lookup is not a CNAME:
$ host -t a air-watch.net
air-watch.net has address 66.95.77.17
air-watch.net mail is handled by 900 mxr01.hvn01.dsl.net.
air-watch.net mail is handled by 900 mxr01.nyc01.dsl.net.
air-watch.net mail is handled by 10 mail.gti-host.net.

Version-Release number of selected component (if applicable):
bind-utils-9.3.1-8.FC4

How reproducible:
Always

Steps to Reproduce:
1. host -v -t a HOST
  

Actual Results:  host performs a query for A, AAAA, and MX records.

Expected Results:  host performs a query for A records only.

Additional info:
Comment 1 Jason Vas Dias 2005-08-18 10:41:35 EDT
Yes, this does appear to be a bug. Will fix in next version (bind-9.3.1-11+).
Comment 2 Jason Vas Dias 2005-08-22 16:44:30 EDT
This is now fixed with bind-9.3.1-10_FC4 (FC-4) & bind-9.3.1-11 (Rawhide), which
should be in tomorrow's FC-4 updates + Rawhide release.

ISC Bug #15287 was raised on this issue, which will hopefully be fixed in future
upstream bind releases.

Comment 3 Scott Schmit 2005-08-23 07:57:19 EDT
Where does ISC keep their list of bug reports? I could never find a public
listing, just an email to submit to.
Comment 4 Jason Vas Dias 2005-08-23 10:21:56 EDT
Actually, ISC bug #13230 had already been raised on this issue - it is listed at:
http://www.isc.org/index.pl?/sw/bind/bind9.3.php
This issue has been fixed with bind-9.3.1-10_FC4, which is now being pushed to
FC4 updates.
Comment 5 Walter Justen 2005-08-25 05:38:21 EDT
Thanks for the bug report. This particular bug was fixed and a update package
was published for download. Please feel free to report any further bugs you find.

Note You need to log in before you can comment on or make changes to this bug.